﻿@model EducationPlanning
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Education Planning</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="saveEducationPlanning" class="form fv-plugins-bootstrap fv-plugins-framework" id="EducationPlanning_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteEducationPlanning">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group mb-2">
                            <label asp-for="StudentName"></label>
                            <input asp-for="StudentName" class="form-control form-control-lg">
                            <span asp-validation-for="StudentName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group mb-2">
                            <label asp-for="CurrentAge"></label>
                            <input asp-for="CurrentAge" class="form-control form-control-lg year-mask" type="text">
                            <span asp-validation-for="CurrentAge" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group mb-2">
                            <label asp-for="RelationshipToStudent"></label>
                            <select class="form-control form-control-lg" asp-for="RelationshipToStudent" asp-items="Html.GetEnumSelectList<CFSRelationshipEnum>()">
                            </select>
                            <span asp-validation-for="RelationshipToStudent" class="text-danger"></span>
                            <div id="LegalGuardian-Container">
                                <div class="d-flex align-self-center mt-2">
                                    <div>
                                        <span class="switch switch-outline switch-icon switch-custom switch-xs mr-4">
                                            <label>
                                                <input type="checkbox" asp-for="LegalGuardian">
                                                <span></span>
                                            </label>
                                        </span>
                                    </div>
                                    <label asp-for="LegalGuardian" class="mb-0"></label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="NumberOfUears"></label>
                            <input asp-for="NumberOfUears" class="form-control form-control-lg year-mask" type="text">
                            <span asp-validation-for="NumberOfUears" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="numberOfYearsEnum"></label>
                            <input asp-for="numberOfYearsEnum" class="form-control form-control-lg year-mask" type="text">
                            <span asp-validation-for="numberOfYearsEnum" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="typeOfEducationProgramEnum" class="mt-6"></label>
                            <select class="form-control form-control-lg" asp-for="typeOfEducationProgramEnum" asp-items="Html.GetEnumSelectList<TypeOfEducationProgramEnum>()">
                            </select>
                            <span asp-validation-for="typeOfEducationProgramEnum" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="savingForEducationEnum" class="mt-6"></label>
                            <select class="form-control form-control-lg" asp-for="savingForEducationEnum" asp-items="Html.GetEnumSelectList<SavingForEducationEnum>()">
                            </select>
                            <span asp-validation-for="savingForEducationEnum" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="currentAmount"></label>
                            <input asp-for="currentAmount" min="0" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="currentAmount" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="State" class="mt-6"></label>
                            <select asp-for="State" class="form-control form-control-lg" data-live-search="true" data-live-search-style="startsWith"></select>
                            <span asp-validation-for="State" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_Education">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="EducationPlanning-template" type="text/html">
    {{if action=="add"}}
    <div class="EducationPlanning-info-div" id="EducationPlanning-card-${educationPlanningInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
            <div class="card-header" style="background: #000066">
                <div class="card-title m-0 w-75">
                    <h3 class="card-label font-size-h4">
                        <span class="font-weight-bold text-white">${educationPlanningInfo.studentName}</span>
                    </h3>
                </div>
                <div class="card-toolbar">
                    <button class="btn btn-icon btn-sm btn-EducationPlanning-edit" data-guid="${educationPlanningInfo.guid}">
                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                    </button>
                    <button class="btn btn-icon btn-sm btn-EducationPlanning-delete" data-guid="${educationPlanningInfo.guid}">
                        <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                    </button>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Current Age of Student:</span><span class="d-xl-none"> ${educationPlanningInfo.currentAge}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.currentAge}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Relationship to Student:</span><span class="d-xl-none"> ${educationPlanningInfo.relationshipToStudentString}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.relationshipToStudentString}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Custodial Parent:</span><span class="d-xl-none"> ${getActiveOrNot(educationPlanningInfo.legalGuardian)}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${getActiveOrNot(educationPlanningInfo.legalGuardian)}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Number of years before student will begin education program:</span><span class="d-xl-none"> ${educationPlanningInfo.numberOfUears}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.numberOfUears}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Expected number of years to complete education:</span><span class="d-xl-none"> ${educationPlanningInfo.numberOfYearsEnum}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.numberOfYearsEnum}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Type of education program:</span><span class="d-xl-none"> ${educationPlanningInfo.typeOfEducationProgramEnumString}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.typeOfEducationProgramEnumString}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">How are you saving for education:</span><span class="d-xl-none"> ${educationPlanningInfo.savingForEducationEnumString}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.savingForEducationEnumString}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Current amount saved for education:</span><span class="d-xl-none"> ${currencyFormat.format(educationPlanningInfo.currentAmount)}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${currencyFormat.format(educationPlanningInfo.currentAmount)}</span>
                    </div>
                    <div class="d-flex">
                        <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Student's Resident State:</span><span class="d-xl-none"> ${educationPlanningInfo.state}</span></span>
                        <span class="col-md-3 align-self-end p-0 d-none d-xl-block">${educationPlanningInfo.state}</span>
                    </div>
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script src="~/lib/lodash.min.js"></script>
<script src="~/JSON/usa-state-city.js"></script>
<script>
    setTimeout(function () {
        $("#State").val('@Model?.State').selectpicker('refresh');
        KTApp.unblockPage();
        $("#EducationPlanningInfoModal").modal({ backdrop: 'static' });
    }, 2000);
    var onFormCompleteEducationPlanning = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        var educationPlanningInfo = responseObj.data.educationPlanningInfo;
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#EducationPlanning-card-${educationPlanningInfo.guid}`)
                if (div.length > 0)
                    $(`#EducationPlanning-card-${educationPlanningInfo.guid}`).html($("#EducationPlanning-template").tmpl(responseObj.data));
                else {
                    responseObj.data.action = "add";
                    $("#EducationPlanning-main-div").prepend($("#EducationPlanning-template").tmpl(responseObj.data));
                }
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
    var html = "";
    var countries = _.sortBy(countries_states);
    $.each(countries_states, function (key) {
        html += `<option>${key}</option>`
    });
    $("#State").html(html);
    var showHideLegalCustodial = function(relationship){
        $("#LegalGuardian-Container").addClass("d-none");        
        if(relationship == RelationshipEnum.Parent)
            $("#LegalGuardian-Container").removeClass("d-none");
    }
    var relationship = $("#RelationshipToStudent").val();
    showHideLegalCustodial(relationship);
    $("#RelationshipToStudent").change(function(){
        $("#LegalGuardian").prop("checked",false);
        var relationship = $(this).val();
        showHideLegalCustodial(relationship);
    })
</script>